module test.test_out;

import std.cstream;
import std.utf;

import util;
import error;

string char2str(wchar ch)
{
	wchar[] buff = new wchar[1];
	buff[0] = ch;
	
	return toUTF8(buff);
}

void write_log(Exception exc)
{
	LoggedException lexc = cast(LoggedException)exc;
	
	if (lexc !is null)
	{
		ErrorLog log = lexc.log();
		if(!log.isEmpty() )
		{
			write_log(log.toWStringAll() );
		}
	}
	else
	{
		write_log(exc.toString() );
	}
}

void write_log(char[] str)
{
	write_log(str.idup);
}

void write_log(string str)
{
	write_log(toUTF16(str) );
}

void write_log(wchar[] str)
{
	write_log(str.idup);
}

void write_log(wstring str)
{
	dout.writeLine(toMBS(str) );
	dout.flush();
}
